%define name abuledu-leterrier
%define version 0.2
%define release 1
%define abuledu_dest /var/leterrier

Summary: AbulEdu-LeTerrier
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.abuledu.org/abuledu/sources/%{name}-%{version}.tgz
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Le Terrier est un ensemble d'applications. Ce package est une base indispensable
pour les logiciels du terrier.

%prep
%setup

%build

%pre
TESTU=`getent passwd | grep leterrier` || true
if [ -z "${TESTU}" ]; then
  useradd -M -d /var/leterrier -g nogroup -s /bin/sh leterrier
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -a leterrier_log $RPM_BUILD_ROOT%{_bindir}

%post
chmod +s %{_bindir}/leterrier_log
chown leterrier:root %{abuledu_dest} -R
chmod 755 `find %{abuledu_dest} -type d`
chmod 644 `find %{abuledu_dest} -type f`

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/leterrier_log
%doc readme
%dir %{abuledu_dest}

%changelog
* Tue Dec 10 2002 Eric Seigne <erics@rycks.com> 0.1-1
- First release

